grass (8.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Update lintian overrides.
  * Mark grass{,-dev}-doc as Multi-Arch: foreign.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Nov 2025 18:41:42 +0100

grass (8.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Feb 2025 18:10:20 +0100

grass (8.4.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop python3-six (build) dependency.
    (closes: #1039455)
  * Drop fakeroot (build) dependency.
    (closes: #1079613)
  * Update watch file to use download.osgeo.org.
  * Update copyright file.
  * Refresh patches.
  * Drop rules for CHANGES file removed upstream.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Feb 2025 05:39:59 +0100

grass (8.4.0-1) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes.
  * Update lintian overrides.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Aug 2024 05:38:31 +0200

grass (8.4.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jul 2024 18:22:27 +0200

grass (8.4.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop python3-distutils dependency.
    (closes: #1065869)
  * Update watch file for GRASS 8.4 releases.
  * Update copyright file.
  * Refresh patches.
  * Drop obsolete rules.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Jun 2024 13:33:03 +0200

grass (8.3.2-3) unstable; urgency=medium

  * Add upstream patch to fix FTBFS with GCC 14.
    (closes: #1075041)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jul 2024 09:16:02 +0200

grass (8.3.2-2) unstable; urgency=medium

  * Drop python3-distutils dependency.
    (closes: #1065869)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Jul 2024 10:43:41 +0200

grass (8.3.2-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Mar 2024 07:46:06 +0100

grass (8.3.2-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Mar 2024 18:18:27 +0100

grass (8.3.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Replace pkg-config (build) dependency with pkgconf.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Feb 2024 05:20:46 +0100

grass (8.3.1-2) unstable; urgency=medium

  * Drop unused python3-opengl dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Dec 2023 17:36:37 +0100

grass (8.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 25 Oct 2023 21:04:19 +0200

grass (8.3.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add libjs-jquery to grass-dev-doc dependencies.
    (closes: #1040554)
  * Move git Recommends from grass-dev to grass-core for g.extension,
    and move subversion to grass-core Suggests for g.extension.
  * Use execute_{before,after} instead of override in rules file.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Strip build path from programming-manual.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Oct 2023 12:01:22 +0200

grass (8.3.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Jun 2023 05:42:49 +0200

grass (8.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Jun 2023 17:43:36 +0200

grass (8.3.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Fix broken symlink to grass.1.gz.
    (closes: #1036573)
  * Bump debhelper compat to 13.
  * Update watch file for GRASS 8.3 releases.
  * Refresh patches.
  * Explicitly configure without PDAL support.
  * Remove REQUIREMENTS.md instead of REQUIREMENTS.html.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Jun 2023 09:14:19 +0200

grass (8.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update copyright file.
  * Update obsolete (build) dependencies.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Jan 2023 06:37:28 +0100

grass (8.2.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Enable numpy3 dh helper.
  * Drop version-check.patch, applied upstream.
  * Update rules for INSTALL.md.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Dec 2022 08:26:21 +0100

grass (8.2.0-3) unstable; urgency=medium

  * Add patch to use GRASS version for non-git builds.
  * Move python3-six from Recommends to Depends.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 09:58:10 +0100

grass (8.2.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Drop obsolete libwxgtk3.0-gtk3-dev build dependency.
    (closes: #1019768)
  * Update OpenGL build dependencies.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Oct 2022 06:14:18 +0200

grass (8.2.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Jun 2022 12:57:48 +0200

grass (8.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Jun 2022 08:04:27 +0200

grass (8.2.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 25 May 2022 05:36:52 +0200

grass (8.2.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file for GRASS 8.2 releases.
  * Update copyright file.
  * Refresh patches.
  * Update docs files.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 May 2022 20:55:50 +0200

grass (8.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop libgdal.so symlink.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 May 2022 16:57:19 +0200

grass (8.0.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop Ubuntu PIE changes.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Apr 2022 22:36:57 +0200

grass (8.0.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 Mar 2022 06:54:02 +0100

grass (8.0.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update watch file for GRASS 8.0 releases.
  * Update copyright file.
  * Refresh patches.
  * Use usr/bin/grass instead of usr/bin/grass<XY>.
  * Update install files for tools to utils renaming.
  * Update lintian overrides.
  * Simplify dh overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Mar 2022 09:42:41 +0100

grass (7.8.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop pdal support.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Feb 2022 18:50:44 +0100

grass (7.8.7~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright file.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Jan 2022 07:45:47 +0100

grass (7.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Add pkg-config to build dependencies.
  * Drop spelling-errors.patch, applied upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Oct 2021 17:04:24 +0200

grass (7.8.6~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop autoconf patches, included upstream.
  * Update lintian overrides.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Oct 2021 08:58:18 +0200

grass (7.8.6~rc2-1~exp2) experimental; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Add upstream patches to fix FTBFS with newer autoconf.
    (closes: #992810)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Sep 2021 06:41:47 +0200

grass (7.8.6~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add libjs-jquery to grass-doc dependencies.
    (closes: #988928)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Aug 2021 20:09:50 +0200

grass (7.8.6~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright file.
  * Update upstream metadata.
  * Don't set absolute path for INST_DIR, DESTDIR now supported.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 May 2021 10:53:36 +0200

grass (7.8.5-2) unstable; urgency=medium

  * Add upstream patch to fix FTBFS with GDAL 3.3.1.
    (closes: #992530)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Aug 2021 06:44:13 +0200

grass (7.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Dec 2020 20:35:24 +0100

grass (7.8.5~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop python3.9 patch, included upstream.
  * Drop Contact from upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Dec 2020 16:09:45 +0100

grass (7.8.4-3) unstable; urgency=medium

  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Add upstream patch to fix python3.9 compatibility.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Dec 2020 12:18:21 +0100

grass (7.8.4-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Oct 2020 10:56:03 +0200

grass (7.8.4-1) experimental; urgency=medium

  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Oct 2020 09:20:10 +0200

grass (7.8.4~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Include demolocation in grass-core.
  * Add lintian overrides for breakout-link.
  * Update lintian overrides.
  * Refresh patches.
  * Update copyright file.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 26 Sep 2020 20:32:37 +0200

grass (7.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 May 2020 11:45:27 +0200

grass (7.8.3~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 May 2020 12:36:10 +0200

grass (7.8.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add python3-distutils to grass-core dependencies for g.extension.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Drop autotools-dev build dependency
  * Update copyright years for GRASS Development Team.
  * Refresh patches.
  * Explicitly use autoconf2.13 for autoreconf.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2020 09:54:04 +0200

grass (7.8.2-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Dec 2019 20:34:28 +0100

grass (7.8.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop Name field from upstream metadata.
  * Add lintian override for manpage-without-executable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Dec 2019 18:35:50 +0100

grass (7.8.2~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Dec 2019 13:39:48 +0100

grass (7.8.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Fix spelling error in patch description.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Nov 2019 06:58:01 +0100

grass (7.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Nov 2019 12:18:45 +0100

grass (7.8.1~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Nov 2019 13:03:34 +0100

grass (7.8.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 Oct 2019 05:13:19 +0100

grass (7.8.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1, no changes.
  * Switch to wxWidgets GTK 3 implementation.
    (closes: #943440)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Oct 2019 06:20:37 +0200

grass (7.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Recommend both git & subversion for g.extension.
  * Drop unused override for spelling-error-in-binary.
  * Don't define ACCEPT_USE_OF_DEPRECATED_PROJ_API_H, proj.h is used.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Sep 2019 09:31:16 +0200

grass (7.8.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update PIE hardening conditional, trusty is EOL.
  * Update watch file for GRASS 7.8 releases.
  * Update uversion mangle for _ in version.
  * Switch to Python 3.
  * Update upstream metadata for move to GitHub.
  * Update README filename in docs file.
  * Add python3-six to (build) dependencies.
  * Replace subversion Recommends with git for g.extension.
  * Update copyright file, changes:
    - Update copyright years for Supreet Singh
    - Add Shubham Sharma & Marcus D. Hanwell to copyright holders
  * Drop patches applied upstream, refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Aug 2019 19:47:24 +0200

grass (7.6.1-4) unstable; urgency=medium

  * Update PIE hardening conditional, trusty is EOL.
  * Drop unused override for spelling-error-in-binary.
  * No change rebuild with PDAL 2.0.1.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Sep 2019 19:16:06 +0200

grass (7.6.1-3) unstable; urgency=medium

  * No change rebuild for PDAL mini transition.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 15 Jul 2019 06:41:53 +0200

grass (7.6.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Disable liblas support, will be removed from Debian.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Jul 2019 07:39:11 +0200

grass (7.6.1-1) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Add patch to fix spelling errors.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 13:30:03 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog grass-core`.
